-- Only required if you have packer configured as `opt`
vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function()
    use 'morhetz/gruvbox'

    -- Status line
    use {
        'hoob3rt/lualine.nvim',
        config = [[require('config.lualine')]],
    }

    use 'tpope/vim-fugitive'
    use 'mhinz/vim-signify'

    use 'tpope/vim-surround'
    use 'tpope/vim-repeat'

    use {
        'neovim/nvim-lspconfig',
        requires = {
            "hrsh7th/cmp-nvim-lsp"
        }
    }
    use {
        'hrsh7th/nvim-cmp',
        event = 'InsertEnter',
        config = [[require('completion')]],
        requires = {
            'hrsh7th/vim-vsnip',
            -- 'hrsh7th/vim-vsnip-integ',
            -- 'rafamadriz/friendly-snippets',
        },
    }
    use {'hrsh7th/cmp-vsnip', after = 'nvim-cmp'}
    use {'hrsh7th/cmp-buffer', after = 'nvim-cmp'}
    use {'hrsh7th/cmp-path', after = 'nvim-cmp'}
    use {'hrsh7th/cmp-nvim-lsp', after = 'nvim-cmp'}
    -- use {'f3fora/cmp-spell', after = 'nvim-cmp'}


    use 'nvim-lua/popup.nvim'
    use {
        'nvim-telescope/telescope.nvim',
        requires = { {'nvim-lua/plenary.nvim'} }
    }

    use {
        'lervag/vimtex',
        config = [[require('config.vimtex')]],
    }

    --  Highlight on Yank 
    use 'machakann/vim-highlightedyank'
    --  Autoclose parenthesis
    use 'jiangmiao/auto-pairs'

    use 'kyazdani42/nvim-web-devicons'
    use {
        'xolox/vim-notes',
        config = [[require('config.notes')]],
        requires = {
            'xolox/vim-misc',
        }
    }

end)
